Summary:   	A privileged helper for utmp/wtmp updates.
Name:      	utempter
Version:   	0.5.5
Release:   	1
License:   	MIT/LGPL
Group:     	Libraries
Source:   	%{name}-%{version}.tar.gz
Requires:	shadow glibc coreutils
BuildRequires:	glibc-devel
BuildRoot: 	%{_tmppath}/%{name}-%{version}-root

%description
Utempter is a utility which allows some non-privileged programs to
have required root access without compromising system
security. Utempter accomplishes this feat by acting as a buffer
between root and the programs.

%package 	devel
Summary: 	Development
Group: 		Development

%description 	devel
%{name}

%prep
%setup  -q

%build
make RPM_OPT_FLAGS="$RPM_OPT_FLAGS"

%install
rm -rf $RPM_BUILD_ROOT
make PREFIX=$RPM_BUILD_ROOT LIBDIR=%{_libdir} install
/sbin/ldconfig -n $RPM_BUILD_ROOT/%{_libdir}
chmod 7755 $RPM_BUILD_ROOT%{_sbindir}/utempter
chmod 7755 $RPM_BUILD_ROOT%{_libdir}/*.so

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%{_sbindir}
%{_libdir}/*.so.*
%{_libdir}/*.so

%files devel
%defattr(-,root,root)
%{_includedir}
